vmrpcdbgInt.h File Reference
`#include "vmware/tools/rpcdebug.h"`

Go to the source code of this file.

## Functions

RpcChannel * | RpcDebug_NewDebugChannel (ToolsAppCtx *ctx, RpcDebugLibData *data)

## Detailed Description

Internal definitions for the vmrpcdbg library.

## Function Documentation

## RpcDebug_NewDebugChannel()

RpcChannel * RpcDebug_NewDebugChannel | ( | ToolsAppCtx * | ctx,
|  | RpcDebugLibData * | data
| ) |  |

Instantiates a new RPC Debug Channel. This function will load and initialize the given debug plugin.

This function will panic is something wrong happens while loading the plugin.

Parameters

  [in] | ctx | The application context.
  [in] | data | Debug library data.

Returns
  A new channel.